{% extends "base.html.j2" %}
{% from 'bootstrap5/form.html' import render_form %}
{% from "tables.html.j2" import automation_logs_table %}

{% block content %}
    <h1 class="h2 mt-3">State Storage</h1>
    <h2 class="h3">{{ storage.key }}</h2>

    <div style="border: 1px solid #666;" class="p-3">
        {{ render_form(form) }}
    </div>

    <h3>Storage</h3>

    <h4>Current Lock</h4>
    <pre>{{ storage.lock | pretty_json }}</pre>

    <h4>State Dump</h4>
    <pre>{{ storage.state | pretty_json }}</pre>

{% endblock %}
